Description

Please, read first https://dru-id.com/developers/apis/oauth-2/ to learn about Oauth2 protocol and the meaning of each token.

This method returns the result of the bulk operation. The response includes one entry for each user update that failed. Each returned object contains a detailed explanation describing the reason the update for that specific user could not be completed.

Two query parameters are available to control how results are retrieved:

  • limit – Specifies the maximum number of failure records to return in a single response. This acts as the batch size for pagination.

  • last – A UUIDv7 cursor that indicates the position from which the next batch of results should be fetched. Cursor pagination ensures stable, efficient navigation through the dataset without the inconsistencies that occur with offset-based pagination.

  • failedOnly – A boolean parameter to fetch only the errors.

The response includes a field called lastId, which represents the cursor for the next page. (See explame below).

If lastId is present, the client should pass its value back as the last query parameter in the next request to continue retrieving additional failure records.

If lastId is not present in the response, it indicates that there is no more content to fetch. The client should continue making paginated requests until a response is returned without the lastId field, which signals that all available records have been retrieved.

Endpoint URL:

 GET https://{your-endpoint-domain.com}/activityid/v1/user/bulk/{bulk_id}/results

Headers

ParameterDescriptionTypeRequired
Authorization“Bearer app_token” Literal text Bearer followed by app_token that is the token obtained from /oauth2/token endpointstringyes
Content-TypeThe type of content that will be used for requests to be JSONstringyes
AcceptThe type of content that will be used for responses to be JSONstringyes
Accept-LanguageLanguage for this requestLocaleno

Query string parameters

ParameterDescriptionTypeRequired
lastThe last bulk id used for the cursor pagination. If omitted it will take the first page.stringno
limitThe maximum number of result to return per page. If omitted the system will get the cockpit default.stringno
failedOnlyWhether to return just the errors.booleanno

Response examples

Response OK

No errors for the bulk process

Bulk not found

The bulk is not finished yet

ParameterDescriptionType
contentData receive with the responsestruct
content.bulkIdId of the bulk process.string
content.lastIdThe lastId queried is neeced as a cursor for requesting the next page. Use is string as a query parameter “last” to get the next pagestring
content.resultsAn array of the errors of the bulk processstruct
content.results.idId of the bulk rowstring
content.results.userIdentifierTypeThe id type used for identifying the user in the request. [“object_id”, “pulse_id”]string
content.results.objectId
The objectId of the userString
content.results.pulseIdThe pulseId of the userString
content.results.errorA detailed description of the error that happens while patching that concrete user.string
resultCommon http resultstruct
result.statusHttp codeinteger
result.messageA description that describes the result of the operationstring

Response codes

CodeTypeDescription
400ErrorBad Request: The request could not be understood by the server due to malformed syntax
401ErrorUnauthorized: authentication is required and has failed or has not yet been provided (token is invalid, etc)
404ErrorNot found
428ErrorPrecondition Required. The bulk process had not finished yet.
500ErrorInternal Server Error: The server encountered an unexpected condition which prevented it from fulfilling the request
504ErrorGateway TimeoutService can not contact with oauth server to do some internal operations
200SuccessMFA code configured succesfully